> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/de/knowledge-base/how-to-articles/create-a-devolutions-server-workspace-with-an-application-key.md).

# Eine Devolutions Server-Datenquelle mit einem Anwendungsschlüssel erstellen

Erstellen Sie eine Devolutions Server-Datenquelle mit einem Anwendungsschlüssel und einem Anwendungsgeheimnis, entweder über Remote Desktop Manager oder mit einem PowerShell-Skript.

Mit dem Devolutions.PowerShell-Modul ist es möglich, sich mit einer Devolutions Server-Instanz über einen [***Anwendungsschlüssel und ein Anwendungsgeheimnis***](/server/de/web-interface/administration/user-and-security-management/applications-identities.md) zu verbinden. Sie können eine Devolutions Server-Datenquelle in Remote Desktop Manager oder manuell mit PowerShell erstellen. Folgen Sie der Methode, die Ihren Anforderungen am besten entspricht.

#### Methode 1: Remote Desktop Manager

1. Gehen Sie in Remote Desktop Manager zu ***Datei – Datenquellen***.
2. Klicken Sie auf die Schaltfläche ***Neue Datenquelle hinzufügen***.
3. Wählen Sie im nächsten Fenster die Team-Datenquelle ***Devolutions Server*** aus und klicken Sie dann auf ***OK***.
4. Geben Sie auf der Registerkarte ***Allgemein*** einen ***Namen***, einen ***Host*** und einen ***Benutzernamen*** für Ihre neue Datenquelle ein. Anschließend können Sie auf die Schaltfläche ***Verbindung testen*** klicken, um zu bestätigen, dass die Verbindung funktioniert.
5. Klicken Sie auf die Registerkarte ***PowerShell***.
6. Geben Sie Ihren [***Anwendungsschlüssel und Ihr Anwendungsgeheimnis***](/server/de/web-interface/administration/user-and-security-management/applications-identities.md) jeweils in das Feld ***Tenant ID*** und das Feld ***Passwort*** ein und klicken Sie dann auf ***OK***.

Ihre neue Devolutions Server-Datenquelle ist nun erstellt. Sie können sich jetzt mit Ihrem Devolutions Server verbinden und Ihre Skripte ausführen.

#### Methode 2: PowerShell

1. Fügen Sie mithilfe der PowerShell-Cmdlets das folgende Beispielskript ein:

   ```powershell
   $dsname = "DVLS PowerShell"
   $dsurl = "https<area>://your_dvls_url"
   $appkey = "your_appkey"
   $appsecret = "your_appsecret"

   $ds = New-RDMDataSource -DVLS -Name $dsname -Server $dsurl -ScriptingTenantID $appkey -ScriptingApplicationPassword $appsecret -SetDatasource -WarningAction SilentlyContinue
   Set-RDMDataSource $ds
   Set-RDMCurrentDataSource $ds
   ```
2. Ersetzen Sie die Variablenwerte durch Ihre eigenen und führen Sie dann das Skript aus.

Ihre neue Devolutions Server-Datenquelle ist nun erstellt. Sie können sich jetzt mit Ihrem Devolutions Server verbinden und Ihre Skripte ausführen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/de/knowledge-base/how-to-articles/create-a-devolutions-server-workspace-with-an-application-key.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
